Package Halberd :: Module ScanTask |
[show private | hide private]
[frames | no frames]

## Module Halberd.ScanTask

Scanning tasks.

Classes
`ScanTask` | Describes the way a scan should be performed.

Exceptions
`ConfError` | Error with configuration file(s)

Variable Summary
`str` | `default_conf_dir`: Path to the directory where the configuration file is located.
`str` | `default_conf_file`: Name of the default configuration file for halberd.
`str` | `default_out`: Default place where to write reports (None means stdout).
`int` | `default_parallelism`: Number of parallel threads to launch for the scan.
`float` | `default_ratio_threshold`: Minimum clues-to-realservers ratio to trigger a clue reanalysis.
`int` | `default_scantime`: Time to spend probing the target expressed in seconds.

Variable Details

    ### default_conf_dir Path to the directory where the configuration file is located. Type: `str` Value:
        '/home/rwx/.halberd'

    ### default_conf_file Name of the default configuration file for halberd. Type: `str` Value:
        '/home/rwx/.halberd/halberd.cfg'

    ### default_out Default place where to write reports (None means stdout). Type: `str` Value:
        None

    ### default_parallelism Number of parallel threads to launch for the scan. Type: `int` Value:
        4

    ### default_ratio_threshold Minimum clues-to-realservers ratio to trigger a clue reanalysis. Type: `float` Value:
        0.59999999999999998

    ### default_scantime Time to spend probing the target expressed in seconds. Type: `int` Value:
        15

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net